Bug 967527 - clearpart --none crashes anaconda if not enough space available
clearpart --none crashes anaconda if not enough space available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
abrt_hash:53713078d0bfc18e26001752793...
:
Depends On:
Blocks: F19-accepted/F19FinalFreezeException
  Show dependency treegraph
 
Reported: 2013-05-27 07:03 EDT by Vojtěch Boček
Modified: 2013-06-18 06:40 EDT (History)
10 users (show)

See Also:
Fixed In Version: pykickstart-1.99.32-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 02:16:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (462.76 KB, text/plain)
2013-05-27 07:03 EDT, Vojtěch Boček
no flags Details
File: anaconda.log (6.53 KB, text/plain)
2013-05-27 07:03 EDT, Vojtěch Boček
no flags Details
File: backtrace (546 bytes, text/plain)
2013-05-27 07:03 EDT, Vojtěch Boček
no flags Details
File: environ (760 bytes, text/plain)
2013-05-27 07:03 EDT, Vojtěch Boček
no flags Details
File: ifcfg.log (448 bytes, text/plain)
2013-05-27 07:03 EDT, Vojtěch Boček
no flags Details
File: ks.cfg (984 bytes, text/plain)
2013-05-27 07:03 EDT, Vojtěch Boček
no flags Details
File: lsblk_output (1.33 KB, text/plain)
2013-05-27 07:03 EDT, Vojtěch Boček
no flags Details
File: nmcli_dev_list (3.30 KB, text/plain)
2013-05-27 07:03 EDT, Vojtěch Boček
no flags Details
File: packaging.log (17.18 KB, text/plain)
2013-05-27 07:03 EDT, Vojtěch Boček
no flags Details
File: program.log (48.54 KB, text/plain)
2013-05-27 07:03 EDT, Vojtěch Boček
no flags Details
File: storage.log (135.12 KB, text/plain)
2013-05-27 07:03 EDT, Vojtěch Boček
no flags Details
File: syslog (64.71 KB, text/plain)
2013-05-27 07:04 EDT, Vojtěch Boček
no flags Details

  None (edit)
Description Vojtěch Boček 2013-05-27 07:03:11 EDT
Description of problem:
I did default installation Beta RC4 from x86_64 netinst.iso, with everything left at default values. This installation generated kickstart file, which I tried to use in ks=... cmdline argument. With this kickstart file, Anaconda crashes a while after it shows main GUI.
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 52, in add
    raise KeyError
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 383, in execute
    target=self._doExecute))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 335, in _update_spokes
    spoke.execute()
  File "/usr/lib64/python2.7/site-packages/gi/overrides/GLib.py", line 629, in <lambda>
    return (lambda data: callback(*data), user_data)
KeyError

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20x86_64 quiet ks=http://83.240.110.90/gen.ks BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/gi/overrides/GLib.py", line 629, in <lambda>
    return (lambda data: callback(*data), user_data)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 335, in _update_spokes
    spoke.execute()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 383, in execute
    target=self._doExecute))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 52, in add
    raise KeyError
KeyError
Comment 1 Vojtěch Boček 2013-05-27 07:03:18 EDT
Created attachment 753568 [details]
File: anaconda-tb
Comment 2 Vojtěch Boček 2013-05-27 07:03:22 EDT
Created attachment 753569 [details]
File: anaconda.log
Comment 3 Vojtěch Boček 2013-05-27 07:03:26 EDT
Created attachment 753570 [details]
File: backtrace
Comment 4 Vojtěch Boček 2013-05-27 07:03:30 EDT
Created attachment 753571 [details]
File: environ
Comment 5 Vojtěch Boček 2013-05-27 07:03:34 EDT
Created attachment 753572 [details]
File: ifcfg.log
Comment 6 Vojtěch Boček 2013-05-27 07:03:38 EDT
Created attachment 753573 [details]
File: ks.cfg
Comment 7 Vojtěch Boček 2013-05-27 07:03:42 EDT
Created attachment 753574 [details]
File: lsblk_output
Comment 8 Vojtěch Boček 2013-05-27 07:03:46 EDT
Created attachment 753575 [details]
File: nmcli_dev_list
Comment 9 Vojtěch Boček 2013-05-27 07:03:50 EDT
Created attachment 753576 [details]
File: packaging.log
Comment 10 Vojtěch Boček 2013-05-27 07:03:54 EDT
Created attachment 753577 [details]
File: program.log
Comment 11 Vojtěch Boček 2013-05-27 07:03:59 EDT
Created attachment 753578 [details]
File: storage.log
Comment 12 Vojtěch Boček 2013-05-27 07:04:03 EDT
Created attachment 753579 [details]
File: syslog
Comment 13 Kamil Páral 2013-05-27 07:06:41 EDT
Proposing as a Final blocker:
"The installer must be able to complete a scripted installation which duplicates the default interactive installation as closely as possible. "
http://fedoraproject.org/wiki/Fedora_19_Beta_Release_Criteria#Scripted_installation
Comment 14 Vojtěch Boček 2013-05-27 07:41:01 EDT
This appears to be a race condition - it does not crash every time, I managed to reproduce it 3 out of 5 times.

Also, pleas note that I forgot to "clearpart --none..." command in kickstart file to "clearpart --all...". After changing to --all, it no longer crashes, but disk setup is apparently bugged instead - it succeeds about 1 of 5 times, and fails at "No disks selected" the rest of the time.
Comment 15 Adam Williamson 2013-05-29 14:02:12 EDT
Discussed at 2013-05-29 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-05-29/f19final-blocker-review-1.2013-05-29-16.02.log.txt . We agreed to punt the decision on this one: we'd at least like to know i) does it crash with 'clearpart --none' and an empty disk, and ii) does it complete an install with 'clearpart --all' and an empty disk...
Comment 16 Adam Williamson 2013-05-29 14:04:35 EDT
Oh, but we accepted it as a freeze exception at least - at minimum it seems to merit that, crashers in fairly 'normal' kickstart runs are bad.
Comment 17 Vojtěch Boček 2013-05-30 04:34:05 EDT
>> i) does it crash with 'clearpart --none' and an empty disk
No, but in 1 of 8 tries, the "Installation destination" section said "Automatic partitioning selected" instead of "No disks selected".

>> ii) does it complete an install with 'clearpart --all' and an empty disk...
No, results are the same as with --none: it stops with "No disks selected" most of the time, but at the fourth try it installed properly.
Comment 18 Adam Williamson 2013-05-30 15:38:28 EDT
We discussed this again at the meeting today. We still didn't come to a definite conclusion but there definitely appear to be worrying issues here. Kamil is going to split this bug into multiple bugs as the crash with clearpart --none and the failure to correctly configure storage with clearpart --all seem to be different issues.

tflink and kparal were able to reproduce the failure to complete storage config properly sometimes with http://www.happyassassin.net/ks/967527.ks (based on the ks in the report), I wasn't: I did five tries and it worked each time.
Comment 19 Kamil Páral 2013-05-31 04:22:20 EDT
Let's use this bug for the original crash with clearpart --none. I moved the race condition with clearpart --all into bug 969327.
Comment 20 Adam Williamson 2013-06-03 12:25:17 EDT
Discussed at 2013-06-03 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-03/f19final-blocker-review-2.2013-06-03-16.00.log.txt . As the other case has been split off, this one is rejected as a blocker but accepted as a freeze exception issue. Outright crashes are bad and worth fixing, but we believe this one is hit only when using an invalid config: passing 'clearpart --none' when there is not sufficient free space for installation. Even if it didn't crash, the install wouldn't proceed until you entered some kind of valid disk configuration interactively - your kickstart configuration would not be used. So this doesn't seem to be blocker worthy. The 'workaround' is to actually use a valid configuration in your kickstart (either enough disk space available for install and 'clearpart --none', or specify some kind of space freeing operation).
Comment 21 Fedora Update System 2013-06-14 12:45:39 EDT
pykickstart-1.99.32-1.fc19,python-blivet-0.16-1.fc19,anaconda-19.30.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pykickstart-1.99.32-1.fc19,python-blivet-0.16-1.fc19,anaconda-19.30.6-1.fc19
Comment 22 Fedora Update System 2013-06-15 13:07:16 EDT
Package anaconda-19.30.7-1.fc19, pykickstart-1.99.32-1.fc19, python-blivet-0.16-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.30.7-1.fc19 pykickstart-1.99.32-1.fc19 python-blivet-0.16-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10913/pykickstart-1.99.32-1.fc19,python-blivet-0.16-1.fc19,anaconda-19.30.7-1.fc19
then log in and leave karma (feedback).
Comment 23 Fedora Update System 2013-06-18 02:16:58 EDT
pykickstart-1.99.32-1.fc19, python-blivet-0.16-1.fc19, anaconda-19.30.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Kamil Páral 2013-06-18 06:40:54 EDT
Verified fixed with F19 TC5 DVD.

Note You need to log in before you can comment on or make changes to this bug.